/*
 * cortexino.c
 *
 *  Created on: 5 lut 2018
 *      Author: dsosnowski
 */


#include "chip.h"
#include "cortexino.h"


//------------------------------------------
void CortexinoInit(){
	Chip_IOCON_PinMuxSet(LPC_IOCON, IOCON_PIO3_4, IOCON_FUNC0);
	Chip_IOCON_PinMuxSet(LPC_IOCON, IOCON_PIO3_5, IOCON_FUNC0);
	Chip_GPIO_SetPinState(LPC_GPIO, LEDS_PORT, LED1_PIN, LED_OFF);
	Chip_GPIO_SetPinState(LPC_GPIO, LEDS_PORT, LED2_PIN, LED_OFF);
	Chip_GPIO_SetPortDIROutput(LPC_GPIO, LEDS_PORT, (1<<LED1_PIN | 1<<LED2_PIN));

}

//------------------------------------------
void CortexinoLed(uint8_t ledNum, uint8_t ledState){
	if (ledNum == 1){
		Chip_GPIO_SetPinState(LPC_GPIO, LEDS_PORT, LED1_PIN, ledState);
	}
	if (ledNum == 2){
		Chip_GPIO_SetPinState(LPC_GPIO, LEDS_PORT, LED2_PIN, ledState);
	}
}

