/*
 * fontConsole8.c
 *
 *  Created on: 7 lut 2018
 *      Author: dsosnowski
 */

#include "chip.h"
#include "fontTypeDefs.h"
#include "fontConsole8.h"

//fontConsole8: bitmaps
const uint8_t fontConsole8bitmaps[] = {
	//Char: !, Offset: 0 , Width: 5
	0x00, 0x00, 0x5E, 0x00, 0x00, 

	//Char: ", Offset: 5 , Width: 5
	0x00, 0x03, 0x00, 0x03, 0x00, 

	//Char: #, Offset: 10 , Width: 5
	0x74, 0x1C, 0x76, 0x1C, 0x16, 

	//Char: $, Offset: 15 , Width: 5
	0x44, 0x4A, 0xFF, 0x52, 0x32, 

	//Char: %, Offset: 20 , Width: 5
	0x44, 0x28, 0x7C, 0x28, 0x44, 

	//Char: &, Offset: 25 , Width: 5
	0x30, 0x4C, 0x5A, 0x66, 0x70, 

	//Char: ', Offset: 30 , Width: 5
	0x00, 0x00, 0x03, 0x00, 0x00, 

	//Char: (, Offset: 35 , Width: 5
	0x00, 0x3C, 0x42, 0x81, 0x00, 

	//Char: ), Offset: 40 , Width: 5
	0x00, 0x81, 0x42, 0x3C, 0x00, 

	//Char: *, Offset: 45 , Width: 5
	0x00, 0x0C, 0x0E, 0x00, 0x00, 

	//Char: +, Offset: 50 , Width: 5
	0x10, 0x10, 0x7C, 0x10, 0x10, 

	//Char: ,, Offset: 55 , Width: 5
	0x00, 0x00, 0xC0, 0x00, 0x00, 

	//Char: -, Offset: 60 , Width: 5
	0x00, 0x10, 0x10, 0x10, 0x00, 

	//Char: ., Offset: 65 , Width: 5
	0x00, 0x60, 0x60, 0x00, 0x00, 

	//Char: /, Offset: 70 , Width: 5
	0x80, 0x60, 0x18, 0x06, 0x01, 

	//Char: 0, Offset: 75 , Width: 5
	0x3C, 0x42, 0x42, 0x42, 0x3C, 

	//Char: 1, Offset: 80 , Width: 5
	0x40, 0x42, 0x7E, 0x40, 0x40, 

	//Char: 2, Offset: 85 , Width: 5
	0x62, 0x52, 0x52, 0x4C, 0x00, 

	//Char: 3, Offset: 90 , Width: 5
	0x42, 0x4A, 0x4A, 0x36, 0x00, 

	//Char: 4, Offset: 95 , Width: 5
	0x10, 0x18, 0x14, 0x7E, 0x10, 

	//Char: 5, Offset: 100 , Width: 5
	0x00, 0x5E, 0x52, 0x72, 0x00, 

	//Char: 6, Offset: 105 , Width: 5
	0x3C, 0x4A, 0x4A, 0x32, 0x00, 

	//Char: 7, Offset: 110 , Width: 5
	0x42, 0x32, 0x0A, 0x06, 0x00, 

	//Char: 8, Offset: 115 , Width: 5
	0x34, 0x4A, 0x4A, 0x34, 0x00, 

	//Char: 9, Offset: 120 , Width: 5
	0x4C, 0x52, 0x52, 0x3C, 0x00, 

	//Char: :, Offset: 125 , Width: 5
	0x00, 0x6C, 0x6C, 0x00, 0x00, 

	//Char: ;, Offset: 130 , Width: 5
	0x00, 0xAC, 0x6C, 0x00, 0x00, 

	//Char: <, Offset: 135 , Width: 5
	0x10, 0x10, 0x28, 0x44, 0x00, 

	//Char: =, Offset: 140 , Width: 5
	0x28, 0x28, 0x28, 0x28, 0x28, 

	//Char: >, Offset: 145 , Width: 5
	0x44, 0x28, 0x10, 0x10, 0x00, 

	//Char: ?, Offset: 150 , Width: 5
	0x06, 0x52, 0x0A, 0x06, 0x00, 

	//Char: @, Offset: 155 , Width: 5
	0x3C, 0x42, 0x5A, 0x5A, 0x1C, 

	//Char: A, Offset: 160 , Width: 5
	0x60, 0x1C, 0x12, 0x1C, 0x60, 

	//Char: B, Offset: 165 , Width: 5
	0x7E, 0x4A, 0x4A, 0x76, 0x00, 

	//Char: C, Offset: 170 , Width: 5
	0x3C, 0x42, 0x42, 0x42, 0x00, 

	//Char: D, Offset: 175 , Width: 5
	0x7E, 0x42, 0x42, 0x3C, 0x00, 

	//Char: E, Offset: 180 , Width: 5
	0x7E, 0x4A, 0x4A, 0x42, 0x00, 

	//Char: F, Offset: 185 , Width: 5
	0x7E, 0x0A, 0x0A, 0x02, 0x00, 

	//Char: G, Offset: 190 , Width: 5
	0x3C, 0x42, 0x52, 0x72, 0x00, 

	//Char: H, Offset: 195 , Width: 5
	0x7E, 0x08, 0x08, 0x7E, 0x00, 

	//Char: I, Offset: 200 , Width: 5
	0x42, 0x42, 0x7E, 0x42, 0x42, 

	//Char: J, Offset: 205 , Width: 5
	0x00, 0x42, 0x42, 0x3E, 0x00, 

	//Char: K, Offset: 210 , Width: 5
	0x7E, 0x18, 0x24, 0x42, 0x00, 

	//Char: L, Offset: 215 , Width: 5
	0x7E, 0x40, 0x40, 0x40, 0x00, 

	//Char: M, Offset: 220 , Width: 5
	0x7E, 0x0C, 0x30, 0x0C, 0x7E, 

	//Char: N, Offset: 225 , Width: 5
	0x7E, 0x0C, 0x30, 0x7E, 0x00, 

	//Char: O, Offset: 230 , Width: 5
	0x3C, 0x42, 0x42, 0x3C, 0x00, 

	//Char: P, Offset: 235 , Width: 5
	0x7E, 0x12, 0x12, 0x0C, 0x00, 

	//Char: Q, Offset: 240 , Width: 5
	0x3C, 0x42, 0x42, 0xBC, 0x80, 

	//Char: R, Offset: 245 , Width: 5
	0x7E, 0x12, 0x32, 0x4E, 0x00, 

	//Char: S, Offset: 250 , Width: 5
	0x4C, 0x4A, 0x52, 0x32, 0x00, 

	//Char: T, Offset: 255 , Width: 5
	0x02, 0x02, 0x7E, 0x02, 0x02, 

	//Char: U, Offset: 260 , Width: 5
	0x3E, 0x40, 0x40, 0x3E, 0x00, 

	//Char: V, Offset: 265 , Width: 5
	0x06, 0x38, 0x60, 0x38, 0x06, 

	//Char: W, Offset: 270 , Width: 5
	0x1E, 0x60, 0x1C, 0x70, 0x0E, 

	//Char: X, Offset: 275 , Width: 5
	0x42, 0x24, 0x18, 0x24, 0x42, 

	//Char: Y, Offset: 280 , Width: 5
	0x02, 0x0C, 0x70, 0x0C, 0x02, 

	//Char: Z, Offset: 285 , Width: 5
	0x42, 0x62, 0x52, 0x4A, 0x46, 

	//Char: [, Offset: 290 , Width: 5
	0x00, 0xFF, 0x81, 0x81, 0x00, 

	//Char: \, Offset: 295 , Width: 5
	0x01, 0x06, 0x18, 0x60, 0x80, 

	//Char: ], Offset: 300 , Width: 5
	0x00, 0x81, 0x81, 0xFF, 0x00, 

	//Char: ^, Offset: 305 , Width: 5
	0x20, 0x1C, 0x03, 0x1C, 0x20, 

	//Char: _, Offset: 310 , Width: 5
	0x80, 0x80, 0x80, 0x80, 0x80, 

	//Char: `, Offset: 315 , Width: 5
	0x00, 0x01, 0x02, 0x00, 0x00, 

	//Char: a, Offset: 320 , Width: 5
	0x64, 0x54, 0x54, 0x78, 0x40, 

	//Char: b, Offset: 325 , Width: 5
	0x7F, 0x44, 0x44, 0x38, 0x00, 

	//Char: c, Offset: 330 , Width: 5
	0x38, 0x44, 0x44, 0x44, 0x00, 

	//Char: d, Offset: 335 , Width: 5
	0x38, 0x44, 0x44, 0x7F, 0x00, 

	//Char: e, Offset: 340 , Width: 5
	0x38, 0x54, 0x54, 0x58, 0x00, 

	//Char: f, Offset: 345 , Width: 5
	0x04, 0x7E, 0x05, 0x05, 0x00, 

	//Char: g, Offset: 350 , Width: 5
	0x18, 0xA4, 0xA4, 0x7C, 0x00, 

	//Char: h, Offset: 355 , Width: 5
	0x7F, 0x08, 0x04, 0x7C, 0x00, 

	//Char: i, Offset: 360 , Width: 5
	0x00, 0x04, 0x04, 0x7D, 0x00, 

	//Char: j, Offset: 365 , Width: 5
	0x00, 0x84, 0x84, 0x7D, 0x00, 

	//Char: k, Offset: 370 , Width: 5
	0x7F, 0x10, 0x28, 0x44, 0x00, 

	//Char: l, Offset: 375 , Width: 5
	0x00, 0x01, 0x01, 0x7F, 0x00, 

	//Char: m, Offset: 380 , Width: 5
	0x7C, 0x04, 0x7C, 0x04, 0x7C, 

	//Char: n, Offset: 385 , Width: 5
	0x7C, 0x08, 0x04, 0x7C, 0x00, 

	//Char: o, Offset: 390 , Width: 5
	0x38, 0x44, 0x44, 0x38, 0x00, 

	//Char: p, Offset: 395 , Width: 5
	0xFC, 0x24, 0x24, 0x18, 0x00, 

	//Char: q, Offset: 400 , Width: 5
	0x18, 0x24, 0x24, 0xFC, 0x00, 

	//Char: r, Offset: 405 , Width: 5
	0x7C, 0x08, 0x04, 0x04, 0x00, 

	//Char: s, Offset: 410 , Width: 5
	0x48, 0x54, 0x54, 0x24, 0x00, 

	//Char: t, Offset: 415 , Width: 5
	0x04, 0x3E, 0x44, 0x44, 0x00, 

	//Char: u, Offset: 420 , Width: 5
	0x7C, 0x40, 0x20, 0x7C, 0x00, 

	//Char: v, Offset: 425 , Width: 5
	0x04, 0x38, 0x40, 0x38, 0x04, 

	//Char: w, Offset: 430 , Width: 5
	0x1C, 0x60, 0x1C, 0x60, 0x1C, 

	//Char: x, Offset: 435 , Width: 5
	0x44, 0x28, 0x10, 0x28, 0x44, 

	//Char: y, Offset: 440 , Width: 5
	0x84, 0x98, 0x60, 0x18, 0x04, 

	//Char: z, Offset: 445 , Width: 5
	0x44, 0x64, 0x54, 0x4C, 0x00, 

	//Char: {, Offset: 450 , Width: 5
	0x00, 0x08, 0xF7, 0x81, 0x00, 

	//Char: |, Offset: 455 , Width: 5
	0x00, 0x00, 0x7E, 0x00, 0x00, 
	
	//Char: }, Offset: 460 , Width: 5
	0x00, 0x81, 0xF7, 0x08, 0x00, 

	//Char: ~, Offset: 465 , Width: 5
	0x18, 0x08, 0x18, 0x10, 0x18 
};

//fontConsole8: character descriptors
const CHAR_TYPE_T fontConsole8characters[] = {
	{5, 0}, //Char: ! (33)
	{5, 5}, //Char: " (34)
	{5, 10}, //Char: # (35)
	{5, 15}, //Char: $ (36)
	{5, 20}, //Char: % (37)
	{5, 25}, //Char: & (38)
	{5, 30}, //Char: ' (39)
	{5, 35}, //Char: ( (40)
	{5, 40}, //Char: ) (41)
	{5, 45}, //Char: * (42)
	{5, 50}, //Char: + (43)
	{5, 55}, //Char: , (44)
	{5, 60}, //Char: - (45)
	{5, 65}, //Char: . (46)
	{5, 70}, //Char: / (47)
	{5, 75}, //Char: 0 (48)
	{5, 80}, //Char: 1 (49)
	{5, 85}, //Char: 2 (50)
	{5, 90}, //Char: 3 (51)
	{5, 95}, //Char: 4 (52)
	{5, 100}, //Char: 5 (53)
	{5, 105}, //Char: 6 (54)
	{5, 110}, //Char: 7 (55)
	{5, 115}, //Char: 8 (56)
	{5, 120}, //Char: 9 (57)
	{5, 125}, //Char: : (58)
	{5, 130}, //Char: ; (59)
	{5, 135}, //Char: < (60)
	{5, 140}, //Char: = (61)
	{5, 145}, //Char: > (62)
	{5, 150}, //Char: ? (63)
	{5, 155}, //Char: @ (64)
	{5, 160}, //Char: A (65)
	{5, 165}, //Char: B (66)
	{5, 170}, //Char: C (67)
	{5, 175}, //Char: D (68)
	{5, 180}, //Char: E (69)
	{5, 185}, //Char: F (70)
	{5, 190}, //Char: G (71)
	{5, 195}, //Char: H (72)
	{5, 200}, //Char: I (73)
	{5, 205}, //Char: J (74)
	{5, 210}, //Char: K (75)
	{5, 215}, //Char: L (76)
	{5, 220}, //Char: M (77)
	{5, 225}, //Char: N (78)
	{5, 230}, //Char: O (79)
	{5, 235}, //Char: P (80)
	{5, 240}, //Char: Q (81)
	{5, 245}, //Char: R (82)
	{5, 250}, //Char: S (83)
	{5, 255}, //Char: T (84)
	{5, 260}, //Char: U (85)
	{5, 265}, //Char: V (86)
	{5, 270}, //Char: W (87)
	{5, 275}, //Char: X (88)
	{5, 280}, //Char: Y (89)
	{5, 285}, //Char: Z (90)
	{5, 290}, //Char: [ (91)
	{5, 295}, //Char: \ (92)
	{5, 300}, //Char: ] (93)
	{5, 305}, //Char: ^ (94)
	{5, 310}, //Char: _ (95)
	{5, 315}, //Char: ` (96)
	{5, 320}, //Char: a (97)
	{5, 325}, //Char: b (98)
	{5, 330}, //Char: c (99)
	{5, 335}, //Char: d (100)
	{5, 340}, //Char: e (101)
	{5, 345}, //Char: f (102)
	{5, 350}, //Char: g (103)
	{5, 355}, //Char: h (104)
	{5, 360}, //Char: i (105)
	{5, 365}, //Char: j (106)
	{5, 370}, //Char: k (107)
	{5, 375}, //Char: l (108)
	{5, 380}, //Char: m (109)
	{5, 385}, //Char: n (110)
	{5, 390}, //Char: o (111)
	{5, 395}, //Char: p (112)
	{5, 400}, //Char: q (113)
	{5, 405}, //Char: r (114)
	{5, 410}, //Char: s (115)
	{5, 415}, //Char: t (116)
	{5, 420}, //Char: u (117)
	{5, 425}, //Char: v (118)
	{5, 430}, //Char: w (119)
	{5, 435}, //Char: x (120)
	{5, 440}, //Char: y (121)
	{5, 445}, //Char: z (122)
	{5, 450}, //Char: { (123)
	{5, 455}, //Char: | (124)
	{5, 460}, //Char: } (125)
	{5, 465} //Char: ~ (126)
};

//fontConsole8: font information
const FONT_TYPE_T fontConsole8font = {
	8, //Font height
	'!', //The first character according to ASCII code
	0, //Interspace width
	5, //Space width
	fontConsole8characters, //Pointer to the array describing subsequent characters
	fontConsole8bitmaps  //Pointer to the array describing font visual representation
};
