/*
 * myfonts.h
 *
 *  Created on: 7 lut 2018
 *      Author: dsosnowski
 */

#ifndef DISPLAY_MYFONTS_H_
#define DISPLAY_MYFONTS_H_

#include "fontTypeDefs.h"
#include "fontImpact16.h"
#include "fontAlien24.h"
#include "fontConsole8.h"

void FontsInit(void);
uint16_t FontsStrPixelLen(uint8_t *src, FONT_TYPE_T font);
void FontsVal2String(int32_t val, uint16_t dotPos, uint8_t *dst);
void FontsStrLineRangeSet(uint16_t x1, uint16_t x2);
void FontsStrWrite(uint8_t *src, uint16_t xStart, uint16_t yStart, FONT_TYPE_T font, uint16_t color);
void FontsStrWriteReverseXPos(uint8_t *src, uint16_t xEnd, uint16_t yStart, FONT_TYPE_T font, uint16_t color);
void FontsValueWrite(int32_t val, uint16_t xEnd, uint16_t yStart, FONT_TYPE_T font, uint16_t color);
void FontsValueWriteWdot(int32_t val, uint16_t dot, uint16_t xEnd, uint16_t yStart, FONT_TYPE_T font, uint16_t color);

#endif /* DISPLAY_MYFONTS_H_ */
