/*
 * myspi.h
 *
 *  Created on: 5 lut 2018
 *      Author: dsosnowski
 */

#ifndef DISPLAY_MYSPI_H_
#define DISPLAY_MYSPI_H_

void MySpiInit(void);
void MySpiSendByte(uint8_t tx_data);
uint8_t MySpiReceiveByte(void);
uint8_t MySpiGetStatus(SSP_STATUS_T Stat);
uint8_t MySpiReadyToSend(void);
uint8_t MySpiSendComplete(void);
uint8_t MySpiReceiveReady(void);
void MySpiDataModeSet(void);
void MySpiCommandModeSet(void);
void MySpiHResetSet(void);
void MySpiHResetRelase(void);

#endif /* DISPLAY_MYSPI_H_ */
