/*
 * system.h
 *
 *  Created on: 26 sty 2017
 *      Author: dsosnowski
 */

#ifndef SYSTEM_H_
#define SYSTEM_H_

#include "chip.h"

#define MY_MAIN_CLOCK		48000000
#define MAIN_DELAY			4



void SystemInit(void);
void SystemIOCONInit(void);

void IoMaskedValueSet(LPC_GPIO_T *pGPIO, uint8_t port, uint32_t mask, uint32_t val);	//missing in gpio lib

void SystemSysTickInit(uint16_t period);
uint32_t SystemSysTickCheck(void);


#endif /* SYSTEM_H_ */
