/*
 * fontTypeDefs.h
 *
 *  Created on: 07.02.2018
 *      Author: Procesorowiec
 */

#ifndef DISPLAY_FONTTYPEDEFS_H_
#define DISPLAY_FONTTYPEDEFS_H_

typedef struct{
	const uint8_t width;  //(px)
	const uint16_t offset;  //
} CHAR_TYPE_T;

typedef struct{
	const uint8_t height;  //Font height (px)
	const uint8_t firstCharCode;  //The first character in the fontType data array
	const uint8_t interspace;  //Interspace width (px)
	const uint8_t spaceWidth;  //Space character width (px)
	const CHAR_TYPE_T *charInfo;  //Pointer to the array describing subsequent characters
	const uint8_t *bitmap;  //Pointer to the array describing font visual representation
} FONT_TYPE_T;


#endif /* DISPLAY_FONTTYPEDEFS_H_ */
