/*
 * mydraw.h
 *
 *  Created on: 06.02.2018
 *      Author: Procesorowiec
 */

#ifndef DISPLAY_MYDRAW_H_
#define DISPLAY_MYDRAW_H_

//color scheme = RGR 565
#define	DRAW_BLACK			0x0000
#define	DRAW_RED			0xF800
#define	DRAW_GREEN     		0x07E0
#define	DRAW_CYAN   		0x07FF
#define DRAW_BLUE    		0x001F
#define DRAW_MAGENTA 		0xF81F
#define DRAW_YELLOW  		0xFFE0
#define DRAW_WHITE  		0xFFFF

#define DRAW_COLORS					8
#define DRAW_DEFAUL_BACKCOLOR		0

void MyDrawInit(void);

//uint16_t MyDrawDefinedColorGet(uint8_t colorIndex);
void MyDrawColorSet(uint16_t color);
uint16_t *MyDrawColorGet(uint8_t colorIndex);
void MyDrawFill(uint8_t active);

uint16_t MyDrawScreenWidthGet(void);
uint16_t MyDrawScreenHeightGet(void);

uint16_t MyDrawCoordSet(int16_t x1, int16_t y1, int16_t x2, int16_t y2);
void MyDrawCoordFill(int16_t x1, int16_t y1, int16_t x2, int16_t y2, uint16_t color);

void MyDrawScreenFill(uint16_t color);
void MyDrawHLine(int16_t x1, int16_t x2, int16_t y, int16_t width, uint16_t color);
void MyDrawVLine(int16_t x, int16_t y, int16_t height, int16_t width, uint16_t color);

#endif /* DISPLAY_MYDRAW_H_ */
