/*
 * buttons.h
 *
 *  Created on: 12.02.2018
 *      Author: Procesorowiec
 */

#ifndef INPUTS_BUTTONS_H_
#define INPUTS_BUTTONS_H_

#define BUTTONS_ACTION_ESC			(1<<0)
#define BUTTONS_ACTION_UP			(1<<1)
#define BUTTONS_ACTION_DOWN			(1<<2)
#define BUTTONS_ACTION_ENTER		(1<<3)

#define BUTTONS_ACTION_CLICK		(1<<8)
#define BUTTONS_ACTION_LONG			(1<<9)
#define BUTTONS_ACTION_HOLD			(1<<10)
#define BUTTONS_ACTION_REPEAT		(1<<11)
#define BUTTONS_ACTION_RELEASE		(1<<12)


void ButtonsInit(void);
void ButtonsProcess(void);
uint16_t ButtonsClickCheck(void);
uint16_t BttonsClickGet(void);
uint16_t ButtonsActionCheck(void);
uint16_t ButtonsStateGet(void);

#endif /* INPUTS_BUTTONS_H_ */
