/*
 * menu.h
 *
 *  Created on: 14.02.2018
 *      Author: Procesorowiec
 */

#ifndef UI_MENU_H_
#define UI_MENU_H_



#define MENU_POS_MAX			2
#define MENU_FREQ_POS		 	0
#define MENU_DUTY_POS		 	1

#define MENU_EDITLEVELS			6

#define MENU_FREQ_RANGES		5
#define MENU_FREQ_EDITLEVELS	6

#define MENU_DUTY_RANGES		2
#define MENU_DUTY_EDITLEVELS	2

void MenuInit(void);

void MenuPosChange(uint8_t action);
uint8_t MenuPosGet(void);

uint8_t MenuFreqRangeSet(uint32_t fval);
void MenuFreqEditLevelAutoIncr(uint8_t range);

uint8_t MenuEditLevelChange(uint8_t action);
uint8_t MenuEditLevelGet(void);
uint32_t MenuEditValueGet(void);

extern const uint32_t editValues[6];
extern const uint32_t freqRanges[5];
extern const uint32_t freqEditMins[5];
extern const uint8_t freqELvMins[5];

#endif /* UI_MENU_H_ */
